<?php
// $Id: featured_content-block.tpl.php,v 1.1 2010/01/26 03:33:39 kepol Exp $

/**
 * @file featured_content-block.tpl.php
 * Default theme implementation to wrap featured_content blocks.
 *
 * Available variables:
 * - $block_content: The block content.
 * - $block_header: The header text.
 * - $block_footer: The footer text.
 * - $block_classes: A string containing the CSS classes for the DIV tag.
 * - $block_classes_array: An array containing each of the CSS classes.
 *
 * The following variables are provided for contextual information.
 * - $settings: An array of the block's settings. Includes type and block data.
 *
 * @see template_preprocess_featured_content_block()
 * @see theme_featured_content_block()
 */
?>
<div class="featured-content-block <?php print $block_classes; ?>">
  <?php if ($block_settings['header']): ?>
    <div class="featured-content-block-header">
    <?php print $block_settings['header']; ?>
    </div>
  <?php endif; ?>
  <?php if (! empty($block_settings['full_nodes']) || ! empty($block_settings['teasers'])): ?>
    <div class="featured-content-block-content">
      <?php $node_views = ! empty($block_settings['full_nodes']) ? $block_settings['full_nodes'] : $block_settings['teasers']; ?>
      <?php foreach ($node_views as $node_view): ?>
      <?php print $node_view; ?><br/>
      <?php endforeach; ?>
    </div>
  <?php elseif (! empty($block_settings['links'])): ?>
    <ul class="featured-content-block-content">
    <?php foreach ($block_settings['links'] as $link): ?>
    <li><?php print $link; ?></li>
    <?php endforeach; ?>
    </ul>
  <?php endif; ?>
  <?php if ($block_settings['footer']): ?>
    <div class="featured-content-block-footer">
    <?php print $block_settings['footer']; ?>
    </div>
  <?php endif; ?>
  <?php if ($block_settings['more-link']): ?>
    <div class="featured-content-more-link">
      <?php print $block_settings['more-link']; ?>
    </div>
  <?php endif; ?>
  <?php if ($block_settings['rss-link']): ?>
    <div class="featured-content-rss-link">
      <?php print $block_settings['rss-link']; ?>
    </div>
  <?php endif; ?>
</div>
